> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a webhook

> Create a webhook




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/webhooks
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/webhooks:
    post:
      tags:
        - Webhooks
      summary: Create a webhook
      description: |
        Create a webhook
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookSchema'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  webhook:
                    $ref: '#/components/schemas/WebhookSchema'
                type: object
          description: Created
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WebhookSchema:
      properties:
        headers:
          additionalProperties: {}
          description: Headers to send webhook with
          example:
            Content-Type: application/json
          nullable: true
          type: object
        heron_id:
          description: Unique ID for webhook generated by Heron
          example: wbh_UnrrRLkqF954xqJh4b59e8
          readOnly: true
          type: string
        is_enabled:
          description: Whether the webhook is enabled
          example: true
          type: boolean
        topic:
          description: Webhook topic for different Heron events
          enum:
            - data_source.enabled
            - data_source_account_summary.created
            - data_source.disabled
            - end_user.created
            - end_user.processed
            - end_user.failed
            - end_user.reviewed
            - end_user.transactions_updated
            - end_user.review_required
            - end_user.files_changed
            - end_user.files_classified
            - end_user_information.updated
            - end_user.policy_workflow_finished
            - end_user.policy_workflow_failed
            - enrich_workflow.finished
            - transactions.deleted
            - transactions.updated
            - pdf.processed
            - pdf.checks_passed
            - pdf.checks_failed
            - pdf.transactions_loaded
            - pdf.failed
            - pdf.parsed
            - pdf.human_reviewing
            - pdf.approved
            - integration_link.erroring
            - iso_application.processed
            - iso_application.processed_simple
            - iso_application.created
            - iso_application.failed
            - end_user_email.processed
            - end_user_email.failed
            - end_user_file.parsed
            - end_user_file.parse_failed
            - end_user_file.processed_standalone
            - end_user_file.deleted
            - end_user_files.processing_failed
            - enricher.succeeded
            - enricher.failed
            - pricing_template.generation_succeeded
            - pricing_template.generation_failed
            - pricing_template.delivery_succeeded
            - pricing_template.delivery_failed
          example: end_user.processed
          type: string
        url:
          description: URL where webhook should be sent
          example: https://www.your-webhook-endpoint.com/heron
          format: url
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````